@font-face {
  font-family: "Haffer";
  src: url("Haffer-Regular.woff") format("woff");
  font-weight: 400;
  font-style: normal;
  font-display: swap;
}
@font-face {
  font-family: "Haffer";
  src: url("Haffer-SemiBold.woff") format("woff");
  font-weight: 600;
  font-style: normal;
  font-display: swap;
}
@font-face {
  font-family: "Haffer";
  src: url("Haffer-Bold.woff") format("woff");
  font-weight: 700;
  font-style: normal;
  font-display: swap;
}
@font-face {
  font-family: "Haffer";
  src: url("Haffer-Medium.woff") format("woff");
  font-weight: 500;
  font-style: normal;
  font-display: swap;
}
html, body {
  margin: 0;
  padding: 0;
}

*, *:before, *:after {
  box-sizing: border-box;
}

h1, h2, h3, h4, h5, h6, p {
  margin: 0;
}

.creative {
  font-family: "Haffer";
  font-weight: 500;
  position: relative;
  cursor: pointer;
  overflow: hidden;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
}

.creative {
  width: 300px;
  height: 250px;
  background-color: #FF660D;
}

.logo {
  z-index: 5;
  position: absolute;
  top: 14px;
  left: 14px;
}
.logo img {
  width: 75px;
}

.circle-placement {
  position: absolute;
  bottom: 64px;
  left: 66px;
  scale: 0.83;
  transform-origin: center;
}

.product-placement {
  display: flex;
  justify-content: center;
  align-items: center;
  position: relative;
  z-index: 0;
  width: 137px;
  height: 137px;
}
.product-placement__circle {
  position: absolute;
  --deg: 0%;
}
.product-placement__circle:first-of-type {
  background: conic-gradient(#8CCFFF -20% var(--deg), transparent 0% 100%);
  width: 100%;
  height: 100%;
  border-radius: 50%;
}
.product-placement__circle:last-of-type {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  background: conic-gradient(#AD00AD -20% var(--deg), transparent 0% 100%);
  width: 52%;
  height: 52%;
  border-radius: 50%;
}
.product-placement__description {
  margin-top: -3px;
  color: #FFF;
  font-size: 22px;
  font-weight: 600;
  letter-spacing: -0.02em;
  text-align: center;
}
.product-placement__pricing {
  position: absolute;
  display: flex;
  flex-direction: column;
  align-items: center;
  top: 9px;
}
.product-placement__from {
  font-weight: 600;
  font-size: 14px;
  letter-spacing: -0.01em;
  color: #FFF;
  margin-bottom: -3px;
  position: relative;
  width: -webkit-fit-content;
  width: -moz-fit-content;
  width: fit-content;
}
.product-placement__from:after {
  background-color: #FFF;
  width: 100%;
  height: 1px;
  position: absolute;
  top: 50%;
  transform: translateY(-50%) rotate(-22.5deg);
  left: 0;
  right: 0;
  content: "";
}
.product-placement__price {
  font-family: "Haffer";
  font-weight: 600;
  font-size: 30px;
  color: #FFF;
  position: relative;
  display: flex;
}
.product-placement__price .decimal {
  font-size: 13px;
  position: relative;
  top: 4px;
  margin-left: -5px;
}
.product-placement__price .time {
  position: absolute;
  font-size: 10px;
  top: 30px;
  right: 4px;
}

.simcard {
  width: 77px;
  height: 183px;
  position: relative;
  top: 12px;
  right: 36px;
  transform-origin: center 30%;
}
.simcard__container {
  background-image: url(simcard.svg);
  background-repeat: no-repeat;
  background-size: contain;
  width: 100%;
  height: 100%;
}
.simcard__from {
  font-family: "Haffer";
  font-weight: 600;
  font-size: 11px;
  color: #FFF;
  border-radius: 3px;
  background-color: #C8C4DE;
  position: absolute;
  z-index: 2;
  display: flex;
  justify-content: center;
  align-items: center;
  width: 30px;
  height: 16px;
  top: 41px;
  left: -18px;
}
.simcard__from:before {
  width: 80%;
  height: 1px;
  background-color: #FFF;
  content: "";
  position: absolute;
  top: 50%;
  transform: translateY(-50%) rotate(-18deg);
}
.simcard__title, .simcard__subtitle {
  font-weight: 700;
  line-height: 1;
  letter-spacing: -0.03em;
  text-align: center;
  position: absolute;
  left: 0;
  right: 0;
}
.simcard__title {
  font-size: 26px;
  color: #306;
  top: 18px;
}
.simcard__subtitle {
  font-size: 26px;
  color: #FFF;
  top: 52px;
}

.network {
  display: none;
  position: absolute;
  top: -10px;
  right: 0;
}
.creative[data-emblem-type="esim"] .network {
	display: block;
}
.creative[data-emblem-type="esim"] .network img {
	content: url("esim.svg");
}
.creative[data-emblem-type="5g"] .network {
	display: block;
}
.creative[data-emblem-type="5g"] .network img {
	content: url("network.svg");
}

.mdd-circle {
  --deg: 101%;
  --deg-reverse: 0%;
  --overlay: 0%;
  position: relative;
  top: 167px;
  left: 90px;
  background: #306;
  z-index: 1;
  width: 103px;
  height: 103px;
  border-radius: 50%;
}
.mdd-circle__clip {
  position: relative;
  overflow: hidden;
  width: 100%;
  height: 100%;
  z-index: 10;
  width: 103px;
  height: 103px;
  border-radius: 50%;
}
.mdd-circle__cover {
  background: conic-gradient(#AD00AD 0% var(--deg), transparent var(--deg) 100%);
  z-index: 10;
  width: 100%;
  height: 100%;
  border-radius: 50%;
}
.mdd-circle__cover--reverse {
  background: conic-gradient(transparent 0% calc(100% - var(--deg-reverse)), #AD00AD calc(100% - var(--deg-reverse)) 100%);
  z-index: 10;
  width: 100%;
  height: 100%;
  border-radius: 50%;
}
.mdd-circle__mask {
  position: absolute;
  bottom: 0;
  right: 0;
  overflow: hidden;
  border-radius: 50%;
  z-index: 4;
  pointer-events: none;
  width: 103px;
  height: 103px;
}
.mdd-circle__overlay {
  position: absolute;
  top: -64px;
  left: -90px;
  background: conic-gradient(#FF6EFF var(--overlay), transparent 0% 100%);
  z-index: 4;
  width: 137px;
  height: 137px;
  border-radius: 50%;
}
.mdd-circle__text {
  position: absolute;
  top: 18px;
  left: 22px;
  transform-origin: center left;
  background-image: url(mdd.svg);
  background-repeat: no-repeat;
  background-size: contain;
  z-index: 5;
  width: 85px;
  height: 85px;
}

.button {
  position: absolute;
  bottom: 16px;
  right: 16px;
  text-align: center;
}
.button__container {
  transition: 0.3s background;
  color: #FFF;
  font-size: 10px;
  font-weight: 600;
  background: #008000;
  max-height: 27px;
  max-width: 142px;
  border-radius: 6px;
  padding: 8px 14px;
  display: inline-flex;
  justify-content: center;
  align-items: center;
  gap: 10px;
}
.button__container:hover {
  background: #024B02;
}
.button__container:after {
  content: "";
  position: relative;
  margin-left: -5px;
  background: url(button-arrow.svg) no-repeat center/contain;
  width: 12px;
  height: 12px;
}

.aansluitkosten {
  position: absolute;
  bottom: 46px;
  left: 16px;
  color: #FFF;
  font-weight: 600;
  font-size: 12px;
}

.disclaimer {
  position: absolute;
  bottom: 16px;
  left: 16px;
  color: #FFF;
  font-weight: 400;
  font-size: 9px;
}

.predicate {
	position: absolute;
	right: 16px;
	top: 0;
}

[data-trophy-type="vignet"] .predicate {
	top: 12px;
}

.predicate img {
	width: 58px;
}

/* Animations */
.mdd-circle {
  transform: translateX(-58px) translateY(-12%) scale(0);
}

.mdd-circle__text {
  transform: scaleX(0.8) scale(0);
}

.product-placement__pricing {
  transform: scale(0);
}

.simcard {
  transform: translateX(70px) scale(0);
}

.network {
  transform: translateX(-40px) translateY(20px) scale(0);
}

.button {
  transform: translateY(225px);
}

.predicate {
  transform: translateY(-110%);
}

.disclaimer, .aansluitkosten {
  transform: translateY(200px);
}
